Subject: RE: [ippm] RD and TCP retransmit analysis

From: Nischal M Piratla <[email-masked]>
Date: Fri, 1 Apr 2005 17:16:05 -0700

I wanted to add this line in my response:
TCP retransmit analysis for any metric may not be useful as Mark Allman and 
others are working on this very interesting draft:
draft-ietf-tcpm-tcp-dcr-03.txt
- Nischal

>===== Original Message From "Nischal M. Piratla" <[email-masked]> 
=====
>Al Morton wrote:
>
>> Consider this example:
>> Arrivals:            1   4   5   6   7   3   2
>> ACKs:                   2   2  2   2  2   2
>> Receive_index:       1   2   3   4   5   6   7
>> Displacement:        0  -2  -2  -2  -2   3   5
>>
>> Is this an example of one of the circumstances you've excluded?
>> (with the following sentence)
>>
>>> In addition, if a packet is reordered then the following packets
>>> in the sequence are not reordered with same or higher displacement.
>>
>No, there is always a duplicate ACK per packet after an out-of-order
>arrival. So, 2 will be retransmitted after 3rd duplicate ACK arrives,
>i.e., retransmitted packet arrives after 6. Thus, there is no packet
>with displacement greater than 3 before packet with sequence number 2.
>
>>
>> In any case, how many arrivals must occur before Displacement
>> can be evaluated again?
>> IOW, the condition quoted above may also exclude this case:
>> Arrivals:  1 3 4 5 6 2 7 9 10 11 12 8
>> Displacement:        4              4
>> but this seems to be a case where there may be two re-transmissions.
>>
>Again, per packet ACK after an out-of-order answers this concern.
>
>> We have not placed strong requirements like this on the measured
>> stream in the past, and this one appears to need some refinement.
>
>Unless, I am mistaken there was no such explicit analysis for any of the
>metrics. So, I am not sure what it means when you say we have not placed
>strong requirements in the past. This analysis was made taking
>statements from RFC 2581 and RFC 1122 into consideration. However, we
>will  welcome your comments/suggestions on any refinements, if you feel
>are necessary.
>- Nischal
>
>
>_______________________________________________
>ippm mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ippm

****************************************************
Research Assistant
Computer Networking Research Laboratory (CNRL)
C203,Dept. of Electrical & Computer Eng.
Colorado State University,
Fort Collins, CO 80523
Voice: 970-491-7067/7794
Fax:   970-491-2249
http://www.cnrl.colostate.edu
http://lamar.colostate.edu/~nischal
****************************************************

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm